function criar_campos(id,tipo) {
	
var input = document.createElement("input");
input.type = tipo;
input.id = id;
input.value = "";
return input;
}

window.onload = function(){

  // Cria os campos ocultos para uso nas funes
  document.body.appendChild(criar_campos("idValor","hidden"));
  document.body.appendChild(criar_campos("idUsuario","hidden"));
  
}

function set_total() {

  var idValor = parseFloat(document.getElementById("idValor").value);

	 
  document.getElementById("valor").value = idValor;
	
	// Debug
	//alert("Valor: R$"+total);

}
function pesquisar_extensao_valor( codigo ) {
  
  if(codigo != "") {
  
  var http = new Ajax();
  http.open("GET", "inc/funcoes.assinatura.php?acao=pesquisar_extensao_valor&codigo=" + codigo, true);
  http.onreadystatechange = function() {
  
 	if (http.readyState == 4) {
  	valor = http.responseText;

	// Grava os campos principais com os dados do plano
	document.getElementById("idValor").value = valor;
	
	set_total();
	
	}
   }
 }
 http.send(null);
 delete http;
}

function validar_cupom( cupom ) {

  if(cupom != "") {
	  
  document.getElementById('div_cupom2').innerHTML = "&nbsp;<img src='templates/assinatura_dominio/imagens/spinner.gif' /> Checando cupom...";

  var http = new Ajax();
  http.open("GET", "inc/funcoes.assinatura.php?acao=validar_cupom_dominios&codigo=" + cupom, true);
  http.onreadystatechange = function() {
  
    if (http.readyState == 4) {
  	resultado = http.responseText;
	
	partes = resultado.split("&");
	
	if(partes['0'] == "ok") {
	
	document.getElementById('div_cupom2').style.display = "none";
	document.getElementById("div_form_cupom").innerHTML = "&nbsp;Cupom "+partes['3']+"("+document.getElementById('cupom').value+") validado com sucesso! - desconto de R$ "+partes['1'];
	document.getElementById("div_cupom").innerHTML = partes['1'];
	document.getElementById("div_valor_fatura").innerHTML = partes['2'];
	
	} else if(partes['0'] == "erro1") {
		
	document.getElementById('div_cupom2').style.display = "none";
	document.getElementById('cupom').value="";
	document.getElementById('cupom').style.border="1px solid red";
	document.getElementById("div_cupom").innerHTML = "0,00";

	alert("Cupom invlido! Este cupom no  vlido para registro/tranferncia de domnios.");
	
	} else if(partes['0'] == "erro2") {
		
	document.getElementById('div_cupom2').style.display = "none";
	document.getElementById('cupom').value="";
	document.getElementById('cupom').style.border="1px solid red";
	document.getElementById("div_cupom").innerHTML = "0,00";

	alert("Cupom expirado! Entre em contato com nosso atendimento.");
	
	} else if(partes['0'] == "erro3") {
	
	document.getElementById('div_cupom2').style.display = "none";
	document.getElementById('cupom').value="";
	document.getElementById('cupom').style.border="1px solid red";
	document.getElementById("div_cupom").innerHTML = "0,00";

	alert("Cupom no encontrato! Tente novamente ou entre em contato com nosso atendimento.");
	
	}
   }
  }
  } else {
	document.getElementById('cupom').style.border="";
	alert("Por favor informe o cdigo do cupom para continuar.");  
  }
 http.send(null); 
 delete http;
}

function number_format( div,valor ) {
  
  var http = new Ajax();
  http.open("GET", "inc/funcoes.assinatura.php?acao=number_format&valor=" + valor, true);
  http.onreadystatechange = function() {
  
 	 if (http.readyState == 4) {
  	resultado = http.responseText;
	
 	 if (resultado) {
	 document.getElementById(div).innerHTML = resultado;
	 http.abort();
  	 }
   }
 }
 http.send(null); 
 delete http;
}

function habilita_dominios( ) {
  
  document.getElementById("Submit").disabled = true;
  document.getElementById( 'whois' ).style.display = "none";
  document.getElementById('dominio').value = '';
  document.getElementById('extensao').value = '';
  document.getElementById("dominio").disabled = false;
  document.getElementById("extensao").disabled = false;
  //Borda de campo
  borda_input( "dominio","#F0F3F7 1px solid","#F0F3F7 1px solid","#D1DBE4 1px solid","#D1DBE4 1px solid" );
  
}

function pesquisar_dominio() {
	
	var dominio = document.getElementById( 'dominio' ).value;
	var extensao = document.getElementById( 'extensao' ).value;
	
	for ( var i = 0; i < document.getElementsByName( "tipo_dominio" ).length; i++ ) {
       if ( document.getElementsByName( "tipo_dominio" )[i].checked ) {
       var tipo_dominio=document.getElementsByName( "tipo_dominio" )[i].value;
       }
    }
	
	if(dominio != "" && extensao != "") {
	
	document.getElementById( 'whois' ).innerHTML = "<img src='templates/assinatura_dominio/imagens/spinner.gif' /> Checando domnio...";
	
	var http = new Ajax();
    http.open("GET", "inc/funcoes.assinatura.php?acao=pesquisar_dominio_whois&dominio=" + dominio + extensao, true);
    http.onreadystatechange =  function() {
		 
	if (http.readyState == 4) {
    resultado = http.responseText;
    if (resultado == "1" && tipo_dominio == "n"){
      var dominio_agrupado = document.getElementById( 'dominio' ).value+document.getElementById( 'extensao' ).value;
	  document.getElementById( 'whois' ).style.display = "block";
	  document.getElementById( 'whois' ).innerHTML = "<img src='templates/assinatura_dominio/imagens/atencao.png' align='absmiddle' />&nbsp;O domnio <b>"+dominio_agrupado+"</b> j est registrado por outra pessoa e no pode ser registrado por voc. Por favor escolha outro domnio.";
	  document.getElementById('dominio').value = '';
	  document.getElementById('extensao').value = '';
	  document.getElementById('dominio').style.border="1px solid red";
	  borda_input( "dominio","1px solid red","1px solid red","1px solid red","1px solid red" );
	} else if (resultado == "1" && tipo_dominio == "t"){
	  var dominio_agrupado = document.getElementById( 'dominio' ).value+document.getElementById( 'extensao' ).value;
	  document.getElementById( 'whois' ).style.display = "block";
	  document.getElementById( 'whois' ).innerHTML = "<img src='templates/assinatura_dominio/imagens/ok.png' align='absmiddle' />&nbsp;O domnio <b>"+dominio_agrupado+"</b> est disponvel para <strong>tranferncia</strong>. Clique no boto Continuar abaixo.";
	  borda_input( "dominio","#F0F3F7 1px solid","#F0F3F7 1px solid","#D1DBE4 1px solid","#D1DBE4 1px solid" );
	  document.getElementById("Submit").disabled = false;
	} else if (resultado == "0" && tipo_dominio == "t"){
      var dominio_agrupado = document.getElementById( 'dominio' ).value+document.getElementById( 'extensao' ).value;
	  document.getElementById( 'whois' ).style.display = "block";
	  document.getElementById( 'whois' ).innerHTML = "<img src='templates/assinatura_dominio/imagens/atencao.png' align='absmiddle' />&nbsp;O domnio <b>"+dominio_agrupado+"</b> no est disponvel para transferncia, apenas para <strong>registro</strong>.";
	  document.getElementById('dominio').value = '';
	  document.getElementById('extensao').value = '';
	  borda_input( "dominio","1px solid red","1px solid red","1px solid red","1px solid red" );
	} else {
      var dominio_agrupado = document.getElementById( 'dominio' ).value+document.getElementById( 'extensao' ).value;
	  document.getElementById( 'whois' ).style.display = "block";
	  document.getElementById( 'whois' ).innerHTML = "<img src='templates/assinatura_dominio/imagens/ok.png' align='absmiddle' />&nbsp;Parabns! O domnio <b>"+dominio_agrupado+"</b> est livre para registro. Clique no boto Continuar...";
	  borda_input( "dominio","#F0F3F7 1px solid","#F0F3F7 1px solid","#D1DBE4 1px solid","#D1DBE4 1px solid" );
	  document.getElementById("Submit").disabled = false;
	}
   }
  }
  http.send(null);
  delete http;
 }
}

function validar_usuario() {
	
	document.getElementById('div_senha').innerHTML = "&nbsp;<img src='templates/assinatura_dominio/imagens/spinner.gif' />";

	var usuario = document.getElementById('cliente_email').value;
	var senha = document.getElementById('cliente_senha').value;

    var http = new Ajax();
	http.open("GET", "inc/funcoes.assinatura.php?acao=validar_usuario&usuario=" + usuario + "&senha="+senha, true);
    http.onreadystatechange = function() {
		 
	if (http.readyState == 4) {
    resultado = http.responseText;
    if (resultado == "ok") {
		
	document.getElementById( 'tabela_login' ).style.display = "none";
	document.getElementById( 'tabela_opcao_usuario' ).style.display = "none";
	document.getElementById( 'tabela_login_validado' ).style.display = "block";
	document.getElementById('div_usuario_validado').innerHTML = "&nbsp;<img src='templates/assinatura_etapas/imagens/ok.png' align='absmiddle' /> E-mail "+usuario+" logado com sucesso!";
	document.getElementById('cliente_email').value = '';
	document.getElementById('cliente_senha').value = '';
	document.getElementById('idUsuario').value = usuario;
	
	} else {
		
	document.getElementById('div_senha').innerHTML = "";
	document.getElementById( 'tabela_opcao_usuario' ).style.display = "block";
	document.getElementById( 'tabela_login' ).style.display = "block";
	document.getElementById( 'tabela_login_validado' ).style.display = "none";
	alert("E-mail ou senha invlidos! Voc usar seu e-mail Principal de seu cadastro, caso j possua uma conta conosco.");
	document.getElementById('cliente_email').value = '';
	document.getElementById('cliente_senha').value = '';
	document.getElementById('idUsuario').value = '';
	
  }
   }
	}	 
  http.send(null);
  delete http;
}


function Ajax() {
var req;

try {
 req = new ActiveXObject("Microsoft.XMLHTTP");
} catch(e) {
 try {
	req = new ActiveXObject("Msxml2.XMLHTTP");
 } catch(ex) {
	try {
	 req = new XMLHttpRequest();
	} catch(exc) {
	 alert("Esse browser no tem recursos para uso do Ajax");
	 req = null;
	}
 }
}

return req;
}