function criar_campos(id,tipo) {
	
var input = document.createElement("input");
input.type = tipo;
input.id = id;
input.value = "";
return input;
}
onloadBody = function(){
	
  pesquisar_extensao_valor( document.getElementById("codigo_extensao").value );
  document.getElementById("idPeriodo").value = document.getElementById("periodo").value;
  document.getElementById("idDesconto_Acrescimo").value = document.getElementById("desconto").value;
}
window.onload = function(){

  // Cria os campos ocultos para uso nas funes
  document.body.appendChild(criar_campos("idValor","hidden"));
  document.body.appendChild(criar_campos("idDesconto_Acrescimo","hidden"));
  document.body.appendChild(criar_campos("idPeriodo","hidden"));
  
  // Carrega os dados
  onloadBody();
  
}

function set_total() {

  var idValor = parseFloat(document.getElementById("idValor").value);
  var idDesconto_Acrescimo = parseFloat(document.getElementById("idDesconto_Acrescimo").value);
  var idPeriodo = parseFloat(document.getElementById("idPeriodo").value);

  var total = 0;
	 
  total = parseFloat(idValor);
  
  if(idPeriodo > 1) {
	  
	total = parseFloat(total * idPeriodo);
  
  }
  
  if(idDesconto_Acrescimo != "" && !isNaN(idDesconto_Acrescimo)){
	total = parseFloat(total + idDesconto_Acrescimo);
  }
  
	document.getElementById("valor").value = total;
	
	// Debug
	//alert("Valor: "+total);

	number_format("div_valor",total);

}

function pesquisar_dominio( dominio ) {
	
	if(dominio) {
	  
    document.getElementById( 'div_status_dominio' ).innerHTML = "<img src='img/spinner.gif' />";
	
	var http = new Ajax();
    http.open("GET", "inc/funcoes.assinatura.php?acao=pesquisar_dominio_whois&dominio=" + dominio, true);
    http.onreadystatechange =  function() {
		 
	if (http.readyState == 4) {
    resultado = http.responseText;
    if (resultado == "1"){
	
	document.getElementById( 'div_status_dominio' ).innerHTML = "<img src='img/icones/atencao2.png' />";
	
	alert("Whois: O domnio "+dominio+" j esta registrado.\nEsta mensagem  apenas informativa.");	
    
	} else {
	document.getElementById( 'div_status_dominio' ).innerHTML = "<img src='img/icones/ok.png' />";
	
	alert("Whois: O domnio "+dominio+" esta livre para registro.\nEsta mensagem  apenas informativa.");
	}
  }	 
 }
  http.send(null);
  delete http;
 }
}

function pesquisar_extensao_valor( codigo ) {
  
  if(codigo != "") {
  
  document.getElementById( 'div_valor' ).innerHTML = "<img src='img/spinner.gif' />";
	  
  var http = new Ajax();
  http.open("GET", "inc/funcoes.assinatura.php?acao=pesquisar_extensao_valor&codigo=" + codigo, true);
  http.onreadystatechange = function() {
  
 	if (http.readyState == 4) {
  	valor = http.responseText;

	// Grava os campos principais com os dados do plano
	document.getElementById("idValor").value = valor;
	
	set_total();
	
	}
   }
 }
 http.send(null);
 delete http;
}

function pesquisar_periodo_registro( periodo ) {
	
  document.getElementById( 'div_valor' ).innerHTML = "<img src='img/spinner.gif' />";
	
 	if (periodo) {
	
	document.getElementById("idPeriodo").value = periodo;

	set_total();
	
   }

}

function number_format( div,valor ) {
  
  var http = new Ajax();
  http.open("GET", "inc/funcoes.assinatura.php?acao=number_format&valor=" + valor, true);
  http.onreadystatechange = function() {
  
 	 if (http.readyState == 4) {
  	resultado = http.responseText;
	
 	 if (resultado) {
	 document.getElementById(div).innerHTML = resultado;
  	 }
   }
 }
 http.send(null); 
 delete http;
}

function desconto_acrescimo( valor ) {
	
  if(valor != "") {
	  
  document.getElementById( 'div_valor' ).innerHTML = "<img src='img/spinner.gif' />";
  
  valor = valor.replace(".","");
  valor = valor.replace(",",".");
  
  document.getElementById("idDesconto_Acrescimo").value = parseFloat(valor);
  
  set_total();
  } else {
	  
  document.getElementById( 'div_valor' ).innerHTML = "<img src='img/spinner.gif' />";
  document.getElementById("idDesconto_Acrescimo").value = 0;
  
  set_total();
  }
}
function Ajax() {
var req;

try {
 req = new ActiveXObject("Microsoft.XMLHTTP");
} catch(e) {
 try {
	req = new ActiveXObject("Msxml2.XMLHTTP");
 } catch(ex) {
	try {
	 req = new XMLHttpRequest();
	} catch(exc) {
	 alert("Esse browser no tem recursos para uso do Ajax");
	 req = null;
	}
 }
}

return req;
}